Search found 629 matches

Go to advanced search

by openBrain
Tue Apr 23, 2019 11:58 am
Forum: Open discussion
Topic: Decimal's problem
Replies: 6
Views: 84

Re: Decimal's problem

Just notice that changing the decimal number that is displayed doesn't change the internal precision used for computations. ;)
by openBrain
Mon Apr 22, 2019 6:37 pm
Forum: Forum français
Topic: Défi tonneau
Replies: 4
Views: 143

Re: Défi tonneau

Pas trop de temps pour moi donc juste la structure du tonneau pour l'exercice :
tonneau.png
tonneau.png (29.99 KiB) Viewed 88 times
Juste une esquisse de la section, une révolution, et un gros slice avec une répétition polaire de 24 plans. Du coup la jointure des douelles est garantie. :lol:
by openBrain
Mon Apr 22, 2019 12:34 pm
Forum: Python scripting and macros
Topic: [SOLVED] Sketch contains redundant constraints which aren't redundant!?
Replies: 12
Views: 233

Re: [SOLVED] Sketch contains redundant constraints which aren't redundant!?

Welcome. :)
However this is a dirty bugfix. Just saw in the Help subforum that there is some work on going at solver level.
Maybe Abdullah may be interested in this macro as a test case (or perhaps find the problem root cause).
abdullah wrote: Ping @solver_master
by openBrain
Mon Apr 22, 2019 11:46 am
Forum: Python scripting and macros
Topic: [SOLVED] Sketch contains redundant constraints which aren't redundant!?
Replies: 12
Views: 233

Re: Sketch contains redundant constraints which aren't redundant!?

This is because you commented the recomputing at the end of your "knoten" function. Either re-enable it or modify your main as follow : knoten('knoten_mitte', 'DatumPlane001') App.ActiveDocument.recompute() # THIS HAS BEEN ADDED App.ActiveDocument.knoten_mitte.movePoint(4,0,App.Vector(1,1,0),0) #App...
by openBrain
Sun Apr 21, 2019 6:59 pm
Forum: Python scripting and macros
Topic: [SOLVED] Sketch contains redundant constraints which aren't redundant!?
Replies: 12
Views: 233

Re: Sketch contains redundant constraints which aren't redundant!?

Actually the bug I was thinking about isn't really linked.
But @kisolre, it may be linked to yours. ;)
https://forum.freecadweb.org/viewtopic.php?f=3&t=34451
by openBrain
Sun Apr 21, 2019 6:51 pm
Forum: Forum français
Topic: Un vis dans le filetage ou vis qui perd la tête
Replies: 45
Views: 680

Re: Un vis dans le filetage ou vis qui perd la tête

Compressor le logiciel par défaut sous ubuntu 18.04lts, n'a pas, sauf erreur, cette option valide (la case est grisée dans tout les cas chez moi) Je ne sais pas, je suis sous KDE. :lol: Mais au pire dans une console : zip -s SPLITSIZE FILENAME Pour le chanfrein je vais essayé ce que tu décris. C’es...
by openBrain
Sun Apr 21, 2019 6:41 pm
Forum: Python scripting and macros
Topic: [SOLVED] Sketch contains redundant constraints which aren't redundant!?
Replies: 12
Views: 233

Re: Sketch contains redundant constraints which aren't redundant!?

There is definitely something weird here. Makes me think to another bug where the sketch seems to not be solved, I'll post a link if I find it. ATM, the minimum (but dirty) workaround I find is to add the 2 following lines at the end of the script to emulate a sketch "shaking". App.ActiveDocument.Kn...
by openBrain
Sun Apr 21, 2019 6:08 pm
Forum: Python scripting and macros
Topic: [Macro] Straighten objects
Replies: 8
Views: 410

Re: [Macro] Straighten objects

I stumbled on this topic, as it happens somebody over the Open discussion forum made a feature request about exactly what your macro does. https://forum.freecadweb.org/viewtopic.php?f=8&t=35791 Congrats for your searching skill in this forum. :D Why not post your macro to the wiki? It would get mor...
by openBrain
Sun Apr 21, 2019 5:58 pm
Forum: Forum français
Topic: Un vis dans le filetage ou vis qui perd la tête
Replies: 45
Views: 680

Re: Un vis dans le filetage ou vis qui perd la tête

J'arrive pas à faire le chanfrein du bout. Ca devrait le faire en dessinant le profil du chanfrein dans une esquisse et en utilisant la fonction "Groove" (je ne sais pas comment elle s'appelle en FR, ça devrait être "Gorge"). ;) Sinon pour info comme j'ai vu la discussion dans le thread, le format ...
by openBrain
Sun Apr 21, 2019 5:49 pm
Forum: Open discussion
Topic: feature request, move surface of object to XY-plane
Replies: 4
Views: 154

Re: feature request, move surface of object to XY-plane

How to use: Select a face on the solid(s) to move to the XY plane; optionally select an edge as well Launch the macro Bam! You're done. ;) Just a precision. The extra edge if used, it will be set parallel to X axis. [/quote] Note: if you are working with a PartDesign Body, you first need to set its...

Go to advanced search